p {
  line-height: 1.5;
  margin-bottom: 2.4rem;
  margin-top: 0; }

.hero {
  position: relative; }
  .hero__img {
    position: absolute;
    right: 0;
    top: 0;
    max-width: 80%;
    height: 100%;
    padding-top: 3%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex; }
    @media (max-width: 568px) {
      .hero__img {
        max-width: 100%;
        height: auto;
        padding-top: 0;
        top: unset;
        bottom: 0;
        -webkit-box-shadow: inset 19rem 4rem 11rem 7rem white;
                box-shadow: inset 19rem 4rem 11rem 7rem white; } }
    .hero__img img {
      width: 100%;
      height: 100%;
      -o-object-fit: cover;
         object-fit: cover;
      -o-object-position: right;
         object-position: right; }
      @media (max-width: 1600px) {
        .hero__img img {
          -o-object-position: left;
             object-position: left; } }
      @media (max-width: 568px) {
        .hero__img img {
          z-index: -1; } }
  .hero__desc {
    max-width: 45rem; }
    @media (max-width: 568px) {
      .hero__desc {
        max-width: unset; } }
    .hero__desc *:first-child {
      text-transform: uppercase; }
  .hero .header_bg {
    padding: 22rem 0rem 12rem; }
    @media (max-width: 1366px) {
      .hero .header_bg {
        padding: 15rem 0rem 8rem; } }
    @media (max-width: 992px) {
      .hero .header_bg {
        padding: 10rem 0rem 5rem; } }
    @media (max-width: 992px) {
      .hero .header_bg {
        padding: 10rem 0rem 3rem; } }
    @media (max-width: 568px) {
      .hero .header_bg {
        padding-bottom: 30%; } }
  .hero .container {
    position: relative;
    z-index: 1; }

.organization {
  position: relative;
  z-index: 1;
  background-color: #eef5fc;
  padding-bottom: 11rem; }
  @media (max-width: 1366px) {
    .organization {
      padding-bottom: 8rem; } }
  @media (max-width: 768px) {
    .organization {
      padding-bottom: 4rem; } }
  @media (max-width: 568px) {
    .organization {
      padding-bottom: 2rem; } }
  .organization .container {
    display: grid;
    grid-template-columns: 80.3rem 1fr;
    -webkit-column-gap: 10.5%;
       -moz-column-gap: 10.5%;
            column-gap: 10.5%;
    row-gap: 3rem;
    -webkit-transform: translateX(-10.5%);
        -ms-transform: translateX(-10.5%);
            transform: translateX(-10.5%); }
    @media (max-width: 1600px) {
      .organization .container {
        -webkit-transform: translateX(-5%);
            -ms-transform: translateX(-5%);
                transform: translateX(-5%); } }
    @media (max-width: 1366px) {
      .organization .container {
        -webkit-transform: none;
            -ms-transform: none;
                transform: none; } }
    @media (max-width: 1200px) {
      .organization .container {
        grid-template-columns: 60% 1fr;
        -webkit-column-gap: 6.5%;
           -moz-column-gap: 6.5%;
                column-gap: 6.5%; } }
    @media (max-width: 768px) {
      .organization .container {
        grid-template-columns: 100%; } }
  .organization__gallery {
    position: relative;
    -webkit-transform: translateY(-8rem);
        -ms-transform: translateY(-8rem);
            transform: translateY(-8rem); }
    @media (max-width: 992px) {
      .organization__gallery {
        -webkit-transform: translateY(-4rem);
            -ms-transform: translateY(-4rem);
                transform: translateY(-4rem); } }
    @media (max-width: 992px) {
      .organization__gallery {
        max-width: 80%;
        margin: 0 auto; } }
    .organization__gallery img {
      position: relative;
      z-index: 1;
      width: 100%;
      height: 100%;
      -o-object-fit: contain;
         object-fit: contain;
      -webkit-transition: opacity 1.3s;
      -o-transition: opacity 1.3s;
      transition: opacity 1.3s;
      z-index: 1;
      pointer-events: none; }
      .organization__gallery img:nth-of-type(n + 8) {
        opacity: 0; }
      .organization__gallery img.active {
        opacity: 1;
        z-index: 2;
        pointer-events: auto; }
    .organization__gallery img:not(:first-child) {
      position: absolute;
      top: 0;
      left: 0;
      z-index: 2; }
  .organization__desc {
    padding-top: 16.5rem;
    max-width: 32.5rem; }
    @media (max-width: 1200px) {
      .organization__desc {
        padding-top: 10rem; } }
    @media (max-width: 992px) {
      .organization__desc {
        padding-top: 5rem; } }
    @media (max-width: 768px) {
      .organization__desc {
        grid-row: -1;
        max-width: unset;
        margin-bottom: 3rem;
        padding-top: 3rem; } }

.system {
  background: -webkit-gradient(linear, left top, left bottom, from(#eef5fc), color-stop(83%, #eef5fc), color-stop(83%, #fff));
  background: -o-linear-gradient(top, #eef5fc 0%, #eef5fc 83%, #fff 83%);
  background: linear-gradient(to bottom, #eef5fc 0%, #eef5fc 83%, #fff 83%); }
  @media (max-width: 768px) {
    .system {
      margin-bottom: 3rem; } }
  .system .container {
    display: grid;
    grid-template-columns: 39rem 1fr;
    -webkit-column-gap: 7%;
       -moz-column-gap: 7%;
            column-gap: 7%;
    row-gap: 3rem; }
    @media (max-width: 768px) {
      .system .container {
        grid-template-columns: 100%; } }
  @media (max-width: 992px) {
    .system__desc {
      padding-bottom: 8rem; } }
  @media (max-width: 768px) {
    .system__desc {
      padding-bottom: 0; } }
  .system__desc *:first-child {
    margin-top: 0; }

.map {
  position: relative; }
  @media (max-width: 768px) {
    .map {
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: reverse;
      -webkit-flex-direction: column-reverse;
          -ms-flex-direction: column-reverse;
              flex-direction: column-reverse;
      -webkit-box-pack: start;
      -webkit-justify-content: flex-start;
          -ms-flex-pack: start;
              justify-content: flex-start;
      -webkit-box-align: start;
      -webkit-align-items: flex-start;
          -ms-flex-align: start;
              align-items: flex-start; } }
  .map__gallery {
    position: absolute;
    width: 54%;
    left: -2rem;
    top: -6%;
    z-index: -1; }
    @media (max-width: 992px) {
      .map__gallery {
        width: 50%; } }
    @media (max-width: 768px) {
      .map__gallery {
        position: relative;
        width: 80%;
        margin: 0 auto;
        top: unset;
        -webkit-transform: translateX(-10%);
            -ms-transform: translateX(-10%);
                transform: translateX(-10%);
        margin-top: -7.5%;
        margin-bottom: -5%; } }
    .map__gallery img {
      position: relative;
      z-index: 1;
      width: 100%;
      height: 100%;
      -o-object-fit: contain;
         object-fit: contain;
      z-index: 1;
      pointer-events: none; }

@-webkit-keyframes fadeInOut {
  0% {
    opacity: 0; }
  100% {
    opacity: 0.8; } }

@keyframes fadeInOut {
  0% {
    opacity: 0; }
  100% {
    opacity: 0.8; } }
      .map__gallery img:nth-of-type(-n + 6) {
        -webkit-animation: none;
                animation: none;
        -webkit-animation: fadeInOut 2.3s linear infinite alternate;
                animation: fadeInOut 2.3s linear infinite alternate;
        z-index: 1; }
        .map__gallery img:nth-of-type(-n + 6):nth-of-type(1) {
          -webkit-animation: none;
                  animation: none; }
        .map__gallery img:nth-of-type(-n + 6):nth-of-type(2) {
          -webkit-animation-delay: 0.3s;
                  animation-delay: 0.3s; }
        .map__gallery img:nth-of-type(-n + 6):nth-of-type(3) {
          -webkit-animation-delay: 2.8s;
                  animation-delay: 2.8s; }
        .map__gallery img:nth-of-type(-n + 6):nth-of-type(4) {
          -webkit-animation-delay: 5.5s;
                  animation-delay: 5.5s; }
        .map__gallery img:nth-of-type(-n + 6):nth-of-type(5) {
          -webkit-animation-delay: 3.1s;
                  animation-delay: 3.1s; }
        .map__gallery img:nth-of-type(-n + 6):nth-of-type(6) {
          -webkit-animation-delay: 4.9s;
                  animation-delay: 4.9s; }
    .map__gallery img:not(:first-child) {
      position: absolute;
      top: 0;
      left: 0;
      z-index: 2; }
  .map .container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
        -ms-flex-pack: end;
            justify-content: flex-end;
    padding-block: 19.5rem 47rem;
    margin-bottom: -16.5rem;
    position: relative;
    z-index: 2; }
    @media (max-width: 1440px) {
      .map .container {
        padding-block: 12rem 35rem; } }
    @media (max-width: 1200px) {
      .map .container {
        padding-block: 12rem 25rem;
        margin-bottom: -10rem; } }
    @media (max-width: 992px) {
      .map .container {
        padding-block: 10rem 20rem;
        margin-bottom: -6rem; } }
    @media (max-width: 768px) {
      .map .container {
        padding-block: 0;
        margin-bottom: 0;
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
            -ms-flex-pack: start;
                justify-content: flex-start; } }
  .map__desc {
    max-width: 35rem;
    margin-right: 9.5%; }
    @media (max-width: 768px) {
      .map__desc {
        max-width: 100%;
        margin-right: 0; } }
    .map__desc *:first-child {
      margin-top: 0; }

.standard {
  margin-bottom: 14rem; }
  @media (max-width: 1366px) {
    .standard {
      margin-bottom: 10rem; } }
  @media (max-width: 992px) {
    .standard {
      margin-bottom: 6rem; } }
  @media (max-width: 768px) {
    .standard {
      margin-bottom: 3rem; } }
  .standard .container {
    grid-template-columns: repeat(auto-fit, minmax(33%, 1fr));
    display: grid;
    padding-right: 5%;
    row-gap: 9rem; }
    @media (max-width: 1366px) {
      .standard .container {
        padding-right: 1rem;
        grid-template-columns: repeat(auto-fit, minmax(28%, 1fr));
        -webkit-column-gap: 5%;
           -moz-column-gap: 5%;
                column-gap: 5%;
        row-gap: 7rem; } }
    @media (max-width: 992px) {
      .standard .container {
        row-gap: 5rem; } }
    @media (max-width: 568px) {
      .standard .container {
        grid-template-columns: 1fr 1fr;
        row-gap: 2rem; } }
    @media (max-width: 350px) {
      .standard .container {
        grid-template-columns: 1fr; } }
  .standard__label {
    font-size: 1.8rem;
    font-family: 'Gotham Bold', sans-serif;
    line-height: 1.3; }
  .standard__title {
    margin-top: 0; }
    @media (max-width: 568px) {
      .standard__title {
        grid-column: span 2; } }
    @media (max-width: 350px) {
      .standard__title {
        grid-column: auto; } }
  .standard__icon {
    max-width: 5rem;
    margin-bottom: 0.5rem;
    -webkit-transform: translateX(-15%);
        -ms-transform: translateX(-15%);
            transform: translateX(-15%); }

.menu {
  margin-bottom: 10rem; }
  @media (max-width: 1366px) {
    .menu {
      margin-bottom: 8rem; } }
  @media (max-width: 992px) {
    .menu {
      margin-bottom: 6rem; } }
  @media (max-width: 768px) {
    .menu {
      margin-bottom: 3rem; } }
  .menu .container {
    display: grid;
    grid-template-columns: 33.5% 1fr;
    -webkit-column-gap: 5%;
       -moz-column-gap: 5%;
            column-gap: 5%;
    row-gap: 3rem;
    padding-right: 13%; }
    @media (max-width: 992px) {
      .menu .container {
        padding-right: 1rem; } }
    @media (max-width: 568px) {
      .menu .container {
        grid-template-columns: 1fr; } }
  .menu__title {
    margin-top: 5.5rem; }
    @media (max-width: 568px) {
      .menu__title {
        margin-top: 0; } }
  .menu__tab {
    list-style-type: none;
    padding-left: 0px;
    margin-top: 3rem;
    margin-bottom: 0px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
    margin-left: 0px; }
    @media (max-width: 568px) {
      .menu__tab {
        margin-top: 0; } }
    @media (max-width: 350px) {
      .menu__tab {
        grid-template-columns: 1fr; } }
    .menu__tab li:nth-child(2n) a {
      border-left: 1px solid #d1d6db;
      border-right: none; }
      @media (max-width: 350px) {
        .menu__tab li:nth-child(2n) a {
          border: none;
          border-bottom: 1px solid #d1d6db; } }
    .menu__tab li:nth-last-child(-n + 2) a {
      border-bottom: none; }
      @media (max-width: 350px) {
        .menu__tab li:nth-last-child(-n + 2) a {
          border-bottom: 1px solid #d1d6db; } }
    .menu__tab li a {
      color: #001c37;
      display: block;
      text-decoration: none;
      padding: 2rem 2rem 4rem 8.5rem;
      border: 1px solid #d1d6db;
      border-bottom: none;
      border-left: none;
      margin-right: -1px;
      font-family: var(--gotham-bold);
      position: relative;
      -webkit-transition: all 0.4s linear;
      -o-transition: all 0.4s linear;
      transition: all 0.4s linear;
      font-size: 1.8rem; }
      @media (max-width: 1850px) {
        .menu__tab li a {
          padding: 2rem 2rem 2rem 4rem; } }
      @media (max-width: 1350px) {
        .menu__tab li a {
          padding: 2rem 2rem 2rem 6rem; } }
      @media (max-width: 350px) {
        .menu__tab li a {
          border: none;
          border-bottom: 1px solid #d1d6db;
          margin: 0; } }
      .menu__tab li a:hover {
        background-color: #0ba13b;
        border-color: #0ba13b;
        color: #fff; }
        .menu__tab li a:hover img {
          -webkit-transform: rotate(0deg);
              -ms-transform: rotate(0deg);
                  transform: rotate(0deg);
          -webkit-filter: brightness(0) invert(1);
                  filter: brightness(0) invert(1); }
      .menu__tab li a img {
        max-width: 1.6rem;
        position: absolute;
        left: 5rem;
        top: 2.5rem;
        -webkit-transition: all 0.4s linear;
        -o-transition: all 0.4s linear;
        transition: all 0.4s linear;
        -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
                transform: rotate(45deg); }
        @media (max-width: 1850px) {
          .menu__tab li a img {
            left: 15px; } }
        @media (max-width: 1650px) {
          .menu__tab li a img {
            top: 20px; } }
        @media (max-width: 1350px) {
          .menu__tab li a img {
            top: 17px; } }
    .menu__tab li ul li a {
      border: none !important;
      padding: 0.5rem 0rem;
      font-size: 1.4rem; }
      @media (max-width: 1450px) {
        .menu__tab li ul li a {
          font-size: 1.5rem; } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
